<?xml version="1.0" encoding="ISO-8859-1" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrn="http://xmlreleasenotes.free.fr" version="1.0">
	<xsl:output method="xml" indent="yes"/>
	<!--
	We store the whole tree in that variable, for convenience reasons within the code.
	-->
	<xsl:variable name="Validation" select="/Validation"/>
	<xsl:template match="/Validation">
		<xsl:apply-templates select="document(Releases/@href)/xrn:ReleaseNotes"/>
	</xsl:template>
	<xsl:template match="Release/Summary">
		<xsl:variable name="release_version" select="../@version"/>
		<xsl:copy>
			<xsl:apply-templates/>
			<!--xsl:if test="$Validation/Releases/Release[@version = $release_version]/Summary">
				<Validation>
					<xsl:copy-of select="($Validation/Releases/Release[@version = $release_version]/Summary)[1]/text()"/>
				</Validation>
			</xsl:if-->
		</xsl:copy>
	</xsl:template>
	<xsl:template match="Features/Feature">
		<xsl:variable name="release_version" select="../../@version"/>
		<xsl:variable name="feature_id" select="@ID"/>
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
			<xsl:if test="$Validation/Releases/Release[@version = $release_version]/Features/Feature[@ID = $feature_id]">
				<Validation>
					<xsl:for-each select="$Validation/Releases/Release[@version = $release_version]/Features/Feature[@ID = $feature_id]">
						<xsl:for-each select="@validatorID | Validators/Validator/@ID">
							<Validator>
								<xsl:attribute name="ID"><xsl:value-of select="string(.)"/></xsl:attribute>
							</Validator>
						</xsl:for-each>
					</xsl:for-each>
				</Validation>
			</xsl:if>
		</xsl:copy>
	</xsl:template>
	<!--
	The current node must be a 'Features/Feature' XML element.
	-->
	<xsl:template name="_printValidators">
		<xsl:if test="count(@validatorID)> 0 or count(Validators) > 0">
			<div align="right">
				<i>
					<font size="-1">
						<xsl:text>validator: </xsl:text>
					</font>
				</i>
				<span class="askingID">
					<xsl:for-each select="@validatorID | Validators/Validator/@ID">
						<xsl:value-of select="."/>
						<xsl:if test="position() != last()">, </xsl:if>
					</xsl:for-each>
				</span>
			</div>
		</xsl:if>
	</xsl:template>
	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="comment() | processing-instruction()">
		<xsl:copy/>
	</xsl:template>
	<xsl:template match="node()" mode="copy">
		<xsl:element name="{name()}">
			<xsl:apply-templates select="@* | * | text()" mode="copy"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@*" mode="copy">
		<xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
	</xsl:template>
	<xsl:template match="text()" mode="copy">
		<xsl:value-of select="."/>
	</xsl:template>
</xsl:stylesheet>
